<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('news_before');

$news=Factory::create('news.main');
$action='getList';
if (isset($_GET['action']) && is_callable(array($news, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($news, $action));

Hook::call('news_after');
